> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/ufc-5.0/ufc-5.0-russian/video-stream-authentication.md).

# Аутентификация запросов потокового видео

### Обзор процесса аутентификации запросов видео

![](/files/8fBaGjtCkTceRCALoQmj)

Оператор может при инициализации центра мероприятий задавать параметры, включающие либо отключающие видео в пользовательском интерфейсе. Сообщение, которое будет отображаться для пользователей, может быть сконфигурировано заранее.

```
frontRowSeat.eventCentre({
  ..
  options: {
    videoPlaybackEnabled: true/false
  }
)
```

также есть возможность обновления данного значения в ходе выполнения

```
.emit(OptionsUpdate: {
  videoPlaybackEnabled: true/false
})
```

Когда пользователь нажимает кнопку воспроизведения, центр мероприятий генерирует адресуемое оператору сообщение о необходимости аутентификации запроса на воспроизведение видео.

```
.on(VideoPlaybackAuthRequest, {
  messageType: 'VideoPlaybackAuthRequest'
})
```

Оператор должен отправить в ответ маркер аутентификации, руководствуясь при этом существующими рекомендациями, изложенными в документации по потоковой передаче IMG ALC Streaming (IMG ALC Streaming documentation). Важно, чтобы идентификатор оператора и временная отметка совпадали с идентификатором оператора и временной отметкой, которые использовались для создания указанного маркера.

```
.emit(VideoPlaybackAuthResponse, {
  messageType: 'VideoPlaybackAuthResponse',
  operatorId: '<OPERATOR-ALC-ID>'.
  auth: '<OPERATOR-ALC-TOKEN>',
  timestamp: 1576339325918
})
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/ufc-5.0/ufc-5.0-russian/video-stream-authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
